﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="widget.ascx.cs" Inherits="widgets_Poll_widget" %>
<div id="PollForm" style="height: 100%;">
    <div id="Question_div" runat="server" class="pollForm-Question">
    </div>
    <asp:RadioButtonList ID="AnswersRbl" runat="server" CssClass="pollForm-AnswersContainer">
    </asp:RadioButtonList>
    <br />
    <asp:Button ID="Vote_bt" runat="server" Text="Vote" OnClientClick="return beginVote()"
        CssClass="pollForm-VoteButton" />
    <div id="AjaxLoader" class="pollForm-AjaxLoader" style="display: none">
    </div>
    <span id="SelectError" style="display: none;" class="pollForm-AnswersNotSelectedError">Please choose
        an answer.</span> <span onclick="showResult();" style="cursor: pointer; float: right"
            class="pollForm-ResultsLink">Show Results</span>
    <br style="clear: both" />
</div>
<div id="PollResult" style="display: none">
    <span id="VotedBefore" style="display: none;" class="pollResult-CurrentlyVoted">You have already
        voted in this poll.</span> <span id="VoteSaved" style="display: none;" class="pollResult-VoteSaved">
            Your vote has been registered.</span>
    <div id="QuestionResult_div" runat="server" class="pollResult-Question">
    </div>
    <asp:Repeater ID="Results_rpt" runat="server" OnItemDataBound="Results_rpt_ItemDataBound">
        <ItemTemplate>
            <div class="pollResult-AnswersText">
                <%# DataBinder.Eval(Container.DataItem, "Text") %></div>
            <div class="pollResult-AnswersProgressBarContainer">
                <div id="Progress_div" runat="server" style="float: left;" class="pollResult-AnswersProgressBar">
                    &nbsp;
                </div>
                <div id="Percent_div" runat="server" class="pollResult-AnswersPercentage">
                </div>
            </div>
        </ItemTemplate>
    </asp:Repeater>
    <br />
    <div class="pollResult-TotalVotes" style="float: left">
        Total Votes:
        <asp:Label ID="TotalVote_lb" runat="server" Text=""></asp:Label></div>
    <span id="ShowPoll" onclick="showPoll();" style="cursor: pointer; float: right" class="pollResult-PollLink">
        Show Poll</span>
    <br style="clear: both" />
</div>

<script type="text/javascript">
  function getElementsByName_iefix(tag, name) 
  {    
       var elem = document.getElementsByTagName(tag);
       var arr = new Array();
       for(i = 0,iarr = 0; i < elem.length; i++) {
            att = elem[i].getAttribute("name");
            if(att == name) {
                 arr[iarr] = elem[i];
                 iarr++;
            }
       }
       return arr;
  }
    
  function beginVote()
  {
    BlogEngine.$('SelectError').style.display = 'none';
    var clientId= '<%=AnswersRbl.ClientID %>';
    var clientName= clientId.replace(/_/g,"$");    
    var answerRadioButtons = getElementsByName_iefix("input", clientName);
    var rblDCSelection = "";

    for (var i in answerRadioButtons)
    {
        if (answerRadioButtons[i].checked)
        {
           rblDCSelection = answerRadioButtons[i].value;
           break;
        }
    }     
    
    if(rblDCSelection == "")
    {
        BlogEngine.$('SelectError').style.display = 'block';
        return false;
    }
    
    BlogEngine.$('AjaxLoader').style.display = 'block';
    if (BlogEngine.$('<%=Vote_bt.ClientID %>') != null)
    {
      BlogEngine.$('<%=Vote_bt.ClientID %>').style.display = 'none';
    }
    
    var arg = rblDCSelection;
    var context = 'poll';
    <%=Page.ClientScript.GetCallbackEventReference(this, "arg", "endVote", "context") %>;
    
    return false;
  }
  
  function endVote(arg, context)
  {
     if(arg=="true")
     {
       BlogEngine.$('ShowPoll').style.display = 'none';
       BlogEngine.$('VoteSaved').style.display = 'block';
       showResult();
     }
     else
     {
       BlogEngine.$('VotedBefore').style.display = 'block';
       showResult();
     }
  }
  
  function showResult()
  { 
    if (BlogEngine.$('<%=Vote_bt.ClientID %>') != null)
    {
      BlogEngine.$('<%=Vote_bt.ClientID %>').style.display = 'block';
    }
    BlogEngine.$('PollForm').style.display = 'none';
    BlogEngine.$('PollResult').style.display = 'block';    
    BlogEngine.$('AjaxLoader').style.display = 'none';
  }  
  
  function showPoll()
  {
    BlogEngine.$('PollForm').style.display = 'block';
    BlogEngine.$('PollResult').style.display = 'none';
  }  
</script>

