﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="edit.ascx.cs" Inherits="widgets_Poll_edit" %>
<asp:DropDownList ID="Polls_ddl" runat="server" AppendDataBoundItems="True" OnSelectedIndexChanged="Polls_ddl_SelectedIndexChanged"
    AutoPostBack="True">
    <asp:ListItem>Select a poll to edit or delete</asp:ListItem>
</asp:DropDownList>
<br />
<br />
<fieldset>
    <legend>Poll Form</legend><b>Question:</b><br />
    <asp:TextBox ID="Question_tb" runat="server" Width="300px" ValidationGroup="Poll"></asp:TextBox>
    &nbsp;<asp:CheckBox ID="Activated_cbx" runat="server" Checked="True" Text="Activated" />
    &nbsp;<asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="Question_tb"
        ErrorMessage="Please enter a question." ValidationGroup="Poll"></asp:RequiredFieldValidator>
    <br />
    <br />
    <b>Answer:</b><br />
    <asp:TextBox ID="Answer_tb" runat="server" Width="300px" ValidationGroup="Answer"></asp:TextBox>
    &nbsp;<asp:Button ID="Answer_bt" runat="server" Text="Add Answer" OnClick="Answer_bt_Click"
        ValidationGroup="Answer" />
    &nbsp;<asp:Button ID="Cancel_bt" runat="server" onclick="Cancel_bt_Click" 
        Text="Cancel" Visible="False" />
&nbsp;<asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="Answer_tb"
        ErrorMessage="Please enter a answer." ValidationGroup="Answer"></asp:RequiredFieldValidator>
    <br />
    <br />
    <asp:GridView ID="Answers_gv" runat="server" AutoGenerateColumns="False" DataKeyNames="Id"
        OnRowCommand="Answers_gv_RowCommand" OnRowCreated="Answers_gv_RowCreated" Width="512px">
        <RowStyle Height="25px" />
        <Columns>
            <asp:BoundField DataField="Id" HeaderText="Id" Visible="False">
                <ItemStyle Wrap="True" />
            </asp:BoundField>
            <asp:BoundField DataField="Text" HeaderText="Answer" />
            <asp:BoundField DataField="Vote" HeaderText="Vote">
                <ItemStyle HorizontalAlign="Center" Width="100px" />
            </asp:BoundField>
            <asp:ButtonField ButtonType="Link" CommandName="DeleteAnswer" Text="Delete">
                <ItemStyle HorizontalAlign="Center" Width="50px" />
            </asp:ButtonField>
            <asp:ButtonField ButtonType="Link" CommandName="EditAnswer" Text="Edit">
                <ItemStyle HorizontalAlign="Center" Width="50px" />
            </asp:ButtonField>
        </Columns>
        <EmptyDataTemplate>
        </EmptyDataTemplate>
        <HeaderStyle Height="22px" />
        <AlternatingRowStyle BackColor="#F1F1F1" />
    </asp:GridView>
    <br />
    <br />
    <asp:Button ID="Add_bt" runat="server" OnClick="Add_bt_Click" Text="Add Poll" ValidationGroup="Poll" />
    &nbsp;<asp:Button ID="Update_bt" runat="server" OnClick="Update_bt_Click" Text="Update Poll"
        Visible="False" />
    &nbsp;<asp:Button ID="Delete_bt" runat="server" OnClick="Delete_bt_Click" Text="Delete Poll"
        Visible="False" onclientclick="return confirm('Are you sure?')" />
    &nbsp;</fieldset>
<asp:HiddenField ID="CurrentAnswer_hf" runat="server" />
<p style="text-align: center">
    <asp:Label ID="Messages_lb" runat="server" ForeColor="Blue" Font-Size="14px"></asp:Label>
</p>
